Bug 739091 - aeolus-configure should either have a profile for ec2, or always set it up..
Summary: aeolus-configure should either have a profile for ec2, or always set it up..
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-configure
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Richard Su
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 14:46 UTC by wes hayutin
Modified: 2012-05-15 20:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 20:38:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0586 normal SHIPPED_LIVE new packages: aeolus-configure 2012-05-15 22:31:34 UTC

Description wes hayutin 2011-09-16 14:46:36 UTC
Description of problem:
aeolus-configure -d -v -p vsphere, only sets up vsphere which is not too unexpected however is a change from previous behavior.

As a customer I would like to either execute..

aeolus-configure -d -v -p vsphere -p ec2

or 

have ec2 configured by default as if I did not specify a profile.


I think a customer could also run configure twice here...

aeolus-configure -d -v ; aeolus-configure -d -v -p vsphere; 
but that is not ideal.. and IMHO a defect


[root@dell-pe1950-03 nodes]# aeolus-configure -d -v -p vsphere
Launching aeolus configuration recipe...
info: Applying configuration version '1316179913'
notice: /File[/etc/condor/config.d/10deltacloud.config]/ensure: defined content as '{md5}f8266a8f5eba4717579d5e14edee0a74'
notice: /Stage[main]/Aeolus::Conductor/Service[condor]/ensure: ensure changed 'stopped' to 'running'
info: FileBucket adding {md5}74475874677f1c689de937e4ef8c89f1
info: /File[/etc/qpidd.conf]: Filebucketed /etc/qpidd.conf to puppet with sum 74475874677f1c689de937e4ef8c89f1
notice: /File[/etc/qpidd.conf]/content: content changed '{md5}74475874677f1c689de937e4ef8c89f1' to '{md5}3b762fe02ab4c355304d933bad24aee0'
info: FileBucket adding {md5}32fdc5cdf3f181e7b6987410cf607d15
info: /File[/etc/ntp/step-tickers]: Filebucketed /etc/ntp/step-tickers to puppet with sum 32fdc5cdf3f181e7b6987410cf607d15
notice: /File[/etc/ntp/step-tickers]/content: content changed '{md5}32fdc5cdf3f181e7b6987410cf607d15' to '{md5}2dfb9420ebf32c7d97f86526fe6c21e8'
info: /File[/etc/ntp/step-tickers]: Scheduling refresh of Service[ntpd]
info: FileBucket adding {md5}2c8eb8faf2e09f55fb2b46b54ea6707b
info: /File[/etc/ntp.conf]: Filebucketed /etc/ntp.conf to puppet with sum 2c8eb8faf2e09f55fb2b46b54ea6707b
notice: /File[/etc/ntp.conf]/content: content changed '{md5}2c8eb8faf2e09f55fb2b46b54ea6707b' to '{md5}2dfb9420ebf32c7d97f86526fe6c21e8'
info: /File[/etc/ntp.conf]: Scheduling refresh of Service[ntpd]
notice: /Stage[main]/Ntp::Client/Service[ntpd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Ntp::Client/Service[ntpd]: Triggered 'refresh' from 2 events
notice: /Stage[main]/Aeolus::Image-factory/File[/var/tmp/imagefactory-mock]/ensure: created
notice: /File[/root/.aeolus-cli]/ensure: defined content as '{md5}3480897435f68ac21b0e4ae48fd5b38a'
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /Stage[main]/Aeolus::Image-factory/Service[qpidd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Postgres::Server/Exec[pginitdb]/returns: executed successfully
info: /Stage[main]/Postgres::Server/Exec[pginitdb]: Scheduling refresh of Service[postgresql]
info: FileBucket adding {md5}32962db9efb8ba7ba027226555303f7e
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Filebucketed /var/lib/pgsql/data/pg_hba.conf to puppet with sum 32962db9efb8ba7ba027226555303f7e
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/content: content changed '{md5}32962db9efb8ba7ba027226555303f7e' to '{md5}2d3f1f2e30c9b188961b1acd3ade3b8b'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/owner: owner changed 'postgres' to 'root'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/group: group changed 'postgres' to 'root'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/mode: mode changed '600' to '644'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/seluser: seluser changed 'unconfined_u' to 'system_u'
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
info: /File[/var/lib/pgsql/data/pg_hba.conf]: Scheduling refresh of Service[postgresql]
notice: /Stage[main]/Postgres::Server/Service[postgresql]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Postgres::Server/Service[postgresql]: Triggered 'refresh' from 6 events
notice: /Stage[main]/Aeolus::Conductor/Postgres::User[aeolus]/Exec[create_aeolus_postgres_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: executed successfully
notice: /File[/var/lib/aeolus-conductor/production.seed]/ensure: created
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User admin registered
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Granting administrator privileges for admin...
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Selinux::Mode[permissive]/Exec[set_selinux_permissive]/returns: executed successfully
notice: /Stage[main]/Aeolus::Deltacloud::Core/Service[deltacloud-core]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /File[/data]/ensure: created
notice: /File[/data/db]/ensure: created
notice: /Stage[main]/Aeolus::Iwhd/Service[mongod]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Iwhd/Service[iwhd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: /Stage[main]/Aeolus::Image-factory/Service[imagefactory]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Apache/Service[httpd]/ensure: ensure changed 'stopped' to 'running'
info: FileBucket adding {md5}8129c1ef2030ef66c0437b5d49115c3d
info: /File[/etc/httpd/conf.d/aeolus-conductor.conf]: Filebucketed /etc/httpd/conf.d/aeolus-conductor.conf to puppet with sum 8129c1ef2030ef66c0437b5d49115c3d
notice: /File[/etc/httpd/conf.d/aeolus-conductor.conf]/content: content changed '{md5}8129c1ef2030ef66c0437b5d49115c3d' to '{md5}0903c79c5c139b3b29ec930849890b41'
info: /File[/etc/httpd/conf.d/aeolus-conductor.conf]: Scheduling refresh of Exec[reload-apache]
notice: /Stage[main]/Apache/Exec[reload-apache]: Triggered 'refresh' from 1 events
notice: /Stage[main]/Aeolus::Conductor/Service[aeolus-conductor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Provider[vsphere]/Web_request[provider-vsphere]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Provider::Account[vsphere]/Web_request[provider-account-vsphere]/post: post changed '' to 'https://localhost/conductor/provider_accounts'
notice: /Stage[main]/Aeolus::Profiles::Vsphere/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Conductor/Service[conductor-dbomatic]/ensure: ensure changed 'stopped' to 'running'
info: Creating state file /var/lib/puppet/state/state.yaml
notice: Finished catalog run in 76.51 seconds
[root@dell-pe1950-03 nodes]# hostname
dell-pe1950-03.rhts.englab.brq.redhat.com

Comment 1 Mike Orazi 2011-09-16 15:25:44 UTC
I lean towards making the configuration as lean as possible and adding additional options via profiles.

Comment 2 Richard Su 2011-09-19 18:40:36 UTC
I have a patch for review where you will be able to specify multiple profiles using a comma separated list. 

Example: aeolus-configure -p rhevm,vpshere,ec2

Will setup rhevm, vsphere, and ec2. 

Passing nothing to -p will bring up all services but not configure any providers.

Comment 3 wes hayutin 2011-09-28 16:38:26 UTC
making sure all the bugs are at the right version for future queries

Comment 5 Richard Su 2011-10-03 16:11:55 UTC
ec2 profile created on commit a8ebdb38d340039454dc9ee68dfc7d8f66037772
ability to run multiple profiles available on commit af785946743d7fef67e9bf5182c3774514e8bba5

Packaged in:
aeolus-configure-2.0.2-4.20110930103205gitaf78594.fc15.noarch.rpm

Comment 6 wes hayutin 2011-10-04 01:41:24 UTC
[root@hp-bl460cg5-01 ~]# aeolus-cleanup  -d -v ; aeolus-configure -d -v -p ec2
info: Applying configuration version '1317692219'
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Service[imagefactory]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Service[qpidd]/ensure: ensure changed 'running' to 'stopped'
info: /Stage[main]/Aeolus::Conductor::Disabled/File[/var/lib/aeolus-conductor]: Recursively backing up to filebucket
info: FileBucket got a duplicate file {md5}d41d8cd98f00b204e9800998ecf8427e
info: /Stage[main]/Aeolus::Conductor::Disabled/File[/var/lib/aeolus-conductor]: Filebucketed /var/lib/aeolus-conductor/production.seed to puppet with sum d41d8cd98f00b204e9800998ecf8427e
notice: /Stage[main]/Aeolus::Conductor::Disabled/File[/var/lib/aeolus-conductor]/ensure: removed
notice: /Stage[main]/Aeolus::Iwhd::Disabled/Service[iwhd]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Iwhd::Disabled/Service[mongod]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Iwhd::Disabled/File[/var/lib/iwhd]/ensure: removed
notice: /Stage[main]/Aeolus::Image-factory::Disabled/Exec[remove_aeolus_templates]/returns: executed successfully
notice: /Stage[main]/Aeolus::Deltacloud::Disabled/Service[deltacloud-core]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[aeolus-conductor]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[conductor-dbomatic]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Service[httpd]/ensure: ensure changed 'running' to 'stopped'
notice: /Stage[main]/Aeolus::Conductor::Disabled/Rails::Drop::Db[drop_aeolus_database]/Exec[drop_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor::Disabled/Rails::Drop::Db[drop_aeolus_database]/Exec[drop_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor::Disabled/Postgres::User[aeolus]/Exec[drop_aeolus_postgres_user]/returns: executed successfully
notice: Finished catalog run in 9.41 seconds
Launching aeolus configuration recipe...
info: Applying configuration version '1317692231'
err: /Stage[main]/Aeolus::Image-factory/File[/root/.aeolus-cli]: Could not evaluate: Could not retrieve information from source(s) /usr/lib/ruby/gems/1.8/gems/aeolus-image-0.1.0/examples/aeolus-cli at /usr/share/aeolus-configure/modules/aeolus/manifests/image-factory.pp:23
notice: /Stage[main]/Aeolus::Conductor/Postgres::User[aeolus]/Exec[create_aeolus_postgres_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Image-factory/Service[qpidd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Apache/Service[httpd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Iwhd/File[/var/lib/iwhd]/ensure: created
notice: /Stage[main]/Aeolus::Iwhd/Service[mongod]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Iwhd/Service[iwhd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: /Stage[main]/Aeolus::Deltacloud::Core/Service[deltacloud-core]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Service[aeolus-conductor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Service[conductor-dbomatic]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/File[/var/lib/aeolus-conductor]/ensure: created
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/File[/var/lib/aeolus-conductor/production.seed]/ensure: created
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User admin registered
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Granting administrator privileges for admin...
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-us-east-1]/Web_request[provider-ec2-us-east-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Provider[ec2-us-west-1]/Web_request[provider-ec2-us-west-1]/post: post changed '' to 'https://localhost/conductor/providers'
notice: /Stage[main]/Aeolus::Profiles::Ec2/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Image-factory/Service[imagefactory]/ensure: ensure changed 'stopped' to 'running'
notice: Finished catalog run in 37.34 seconds
[root@hp-bl460cg5-01 ~]# cat /root/.aeolus-cli 

[root@hp-bl460cg5-01 ~]# rpm -qa | grep aeolus
aeolus-all-0.4.0-0.20111003184622git65a7d19.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20111003170706git8f23238.fc15.noarch
rubygem-aeolus-cli-0.1.0-3.20111003133323git9451323.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20111003184622git65a7d19.fc15.noarch
aeolus-configure-2.0.2-4.20110930103205gitaf78594.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20111003184622git65a7d19.fc15.noarch
aeolus-conductor-0.4.0-0.20111003184622git65a7d19.fc15.noarch

Comment 7 Mike Orazi 2011-10-07 15:13:32 UTC
*** Bug 742578 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2012-05-15 20:38:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0586.html


Note You need to log in before you can comment on or make changes to this bug.